const linearScale = d3
  .scaleLinear()
  .domain([0, 100])
  .range([0, 600]);

const quantizeScale = d3
  .scaleQuantize()
  .domain([0, 100])
  .range([
    'lightblue',
    'orange',
    'lightgreen',
    'pink',
  ]);

const myData = d3.range(0, 100, 1);

d3.select("#wrapper")
	.selectAll('rect')
	.data(myData)
	.join('rect')
		.attr('x', (d) => linearScale(d))
		.attr('width', 5)
		.attr('height', 30)
		.style('fill', (d) => quantizeScale(d));